;-| AIスイッチ|--------------------------------------------------------
[Command]
name = "CPU_01"
command = ~U,U,U,U,U,U,U,U,U,U,x
time = 0

[Command]
name = "CPU_02"
command = ~U,U,U,U,U,U,U,U,U,U,y
time = 0

[Command]
name = "CPU_03"
command = ~U,U,U,U,U,U,U,U,U,U,z
time = 0

[Command]
name = "CPU_04"
command = ~U,U,U,U,U,U,U,U,U,U,a
time = 0

[Command]
name = "CPU_05"
command = ~U,U,U,U,U,U,U,U,U,U,b
time = 0

[Command]
name = "CPU_06"
command = ~U,U,U,U,U,U,U,U,U,U,c
time = 0

[Command]
name = "CPU_07"
command = ~F,F,F,F,F,F,F,F,F,F,x
time = 0

[Command]
name = "CPU_08"
command = ~F,F,F,F,F,F,F,F,F,F,y
time = 0

[Command]
name = "CPU_09"
command = ~F,F,F,F,F,F,F,F,F,F,z
time = 0

[Command]
name = "CPU_10"
command = ~F,F,F,F,F,F,F,F,F,F,a
time = 0

[Command]
name = "CPU_11"
command = ~F,F,F,F,F,F,F,F,F,F,b
time = 0

[Command]
name = "CPU_12"
command = ~F,F,F,F,F,F,F,F,F,F,c
time = 0

[Command]
name = "CPU_13"
command = ~D,D,D,D,D,D,D,D,D,D,x
time = 0

[Command]
name = "CPU_14"
command = ~D,D,D,D,D,D,D,D,D,D,y
time = 0

[Command]
name = "CPU_15"
command = ~D,D,D,D,D,D,D,D,D,D,z
time = 0

[Command]
name = "CPU_16"
command = ~D,D,D,D,D,D,D,D,D,D,a
time = 0

[Command]
name = "CPU_17"
command = ~D,D,D,D,D,D,D,D,D,D,b
time = 0

[Command]
name = "CPU_18"
command = ~D,D,D,D,D,D,D,D,D,D,c
time = 0

[Command]
name = "CPU_19"
command = ~B,B,B,B,B,B,B,B,B,B,x
time = 0

[Command]
name = "CPU_20"
command = ~B,B,B,B,B,B,B,B,B,B,y
time = 0

[Command]
name = "CPU_21"
command = ~B,B,B,B,B,B,B,B,B,B,z
time = 0

[Command]
name = "CPU_22"
command = ~B,B,B,B,B,B,B,B,B,B,a
time = 0

[Command]
name = "CPU_23"
command = ~B,B,B,B,B,B,B,B,B,B,b
time = 0

[Command]
name = "CPU_24"
command = ~B,B,B,B,B,B,B,B,B,B,c
time = 0

[Command]
name = "CPU_25"
command = ~U,x,D,b,B,y,F,a
time = 0

[Command]
name = "CPU_26"
command = ~U,U,U,U,U,U,U,U,U,U,x+y
time = 0

[Command]
name = "CPU_27"
command = ~U,U,U,U,U,U,U,U,U,U,y+z
time = 0

[Command]
name = "CPU_28"
command = ~U,U,U,U,U,U,U,U,U,U,z+x
time = 0

[Command]
name = "CPU_29"
command = ~U,U,U,U,U,U,U,U,U,U,a+b
time = 0

[Command]
name = "CPU_30"
command = ~U,U,U,U,U,U,U,U,U,U,b+c
time = 0

[Command]
name = "CPU_31"
command = ~U,U,U,U,U,U,U,U,U,U,c+a
time = 0

[Command]
name = "CPU_32"
command = ~F,F,F,F,F,F,F,F,F,F,x+y
time = 0

[Command]
name = "CPU_33"
command = ~F,F,F,F,F,F,F,F,F,F,y+z
time = 0

[Command]
name = "CPU_34"
command = ~F,F,F,F,F,F,F,F,F,F,z+x
time = 0

[Command]
name = "CPU_35"
command = ~F,F,F,F,F,F,F,F,F,F,a+b
time = 0

[Command]
name = "CPU_36"
command = ~F,F,F,F,F,F,F,F,F,F,b+c
time = 0

[Command]
name = "CPU_37"
command = ~F,F,F,F,F,F,F,F,F,F,c+a
time = 0

[Command]
name = "CPU_38"
command = ~D,D,D,D,D,D,D,D,D,D,x+y
time = 0

[Command]
name = "CPU_39"
command = ~D,D,D,D,D,D,D,D,D,D,y+z
time = 0

[Command]
name = "CPU_40"
command = ~D,D,D,D,D,D,D,D,D,D,z+x
time = 0

[Command]
name = "CPU_41"
command = ~D,D,D,D,D,D,D,D,D,D,a+b
time = 0

[Command]
name = "CPU_42"
command = ~D,D,D,D,D,D,D,D,D,D,b+c
time = 0

[Command]
name = "CPU_43"
command = ~D,D,D,D,D,D,D,D,D,D,c+a
time = 0

[Command]
name = "CPU_44"
command = ~B,B,B,B,B,B,B,B,B,B,x+y
time = 0

[Command]
name = "CPU_45"
command = ~B,B,B,B,B,B,B,B,B,B,y+z
time = 0

[Command]
name = "CPU_46"
command = ~B,B,B,B,B,B,B,B,B,B,z+x
time = 0

[Command]
name = "CPU_47"
command = ~B,B,B,B,B,B,B,B,B,B,a+b
time = 0

[Command]
name = "CPU_48"
command = ~B,B,B,B,B,B,B,B,B,B,b+c
time = 0

[Command]
name = "CPU_49"
command = ~B,B,B,B,B,B,B,B,B,B,c+a
time = 0

[Command];このコマンドわかる人いるかな？
name = "CPU_50"
command = ~y,a,b,a,y,a,b,a
time = 0





;-| 超必殺技 |--------------------------------------------------------
[Command]
name = "オロチMAX"
command = ~D,DB,B,D,DB,B, y
time = 30

[Command]
name = "オロチMAX"
command = ~D,DB,B,D,DB,B, x
time = 30


[Command]
name = "吸い寄せ"
command = ~D,DF,F,D,DF,F, b
time = 30

[Command]
name = "吸い寄せ"
command = ~D,DF,F,D,DF,F, a
time = 30



[Command]
name = "混"
command = ~D,DF,F,D,DF,F, y
time = 30

[Command]
name = "混"
command = ~D,DF,F,D,DF,F, x
time = 30


[Command]
name = "大神"
command = ~D,DB,B,D,DB,B, b
time = 30

[Command]
name = "大神"
command = ~D,DB,B,D,DB,B, a
time = 30


;-| 必殺技 |------------------------------------------------------
[Command]
name = "死祟"
command = ~D,DF,F, s


[Command]
name = "強御大"
command = ~D,DB,B, y


[Command]
name = "弱御大"
command = ~D,DB,B, x



[Command]
name = "強糺"
command = ~F,DF,D,DB,B,F, b
time = 25

[Command]
name = "弱糺"
command = ~F,DF,D,DB,B,F, a
time = 25


[Command]
name = "火闌降4"
command = ~F,DF,D,DB,B, z
time = 25

[Command]
name = "火闌降3"
command = ~F,DF,D,DB,B, b
time = 25

[Command]
name = "火闌降2"
command = ~F,DF,D,DB,B, y
time = 25

[Command]
name = "火闌降1"
command = ~F,DF,D,DB,B, a
time = 25

[Command]
name = "火闌降0"
command = ~F,DF,D,DB,B, x
time = 25


[Command]
name = "強顕斎"
command = ~F,D,DF, y

[Command]
name = "弱顕斎"
command = ~F,D,DF, x


[Command]
name = "誓約"
command = ~F,D,DF, b


[Command]
name = "強解除"
command = ~B,DB,D,DF,F, y
time = 25

[Command]
name = "弱解除"
command = ~B,DB,D,DF,F, x
time = 25


[Command]
name = "カウンター"
command = ~D,DF,F, b

[Command]
name = "カウンター"
command = ~D,DF,F, a


[Command]
name = "強オロチ鏡斜め"
command = ~B,D,DB, y

[Command]
name = "弱オロチ鏡斜め"
command = ~B,D,DB, x


[Command]
name = "オロチ飛び道具"
command = ~D,DF,F, y

[Command]
name = "オロチ飛び道具"
command = ~D,DF,F, x






[Command]
name = "緊急回避前"
command = x+a
time = 1

[Command]
name = "緊急回避後"
command = /$B,x+a
time = 1

;-| ２回押し技 |-----------------------------------------------------------
[Command]
name = "FF"     
command = F, F
time = 10

[Command]
name = "BB"     
command = B, B
time = 10

;-| ２・３個の同時押し技 |-----------------------------------------------
[Command]
name = "ワープ"
command = z+c
time = 1

[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "投げ"
command = y+b
time = 1

[Command]
name = "ふっ飛ばし"
command = b+c
time = 1

[Command]
name = "MAX"
command = a+y
time = 1

[Command]
name = "ストライカー"
command = a+y
time = 1

[Command]
name = "おしっぱなしx"
command = /$x
time = 1

[Command]
name = "おしっぱなしy"
command = /$y
time = 1

[Command]
name = "おしっぱなしa"
command = /$a
time = 1

[Command]
name = "おしっぱなしb"
command = /$b
time = 1

[Command]
name = "おしっぱなしz"
command = /$z
time = 1

[Command]
name = "おしっぱなしc"
command = /$c
time = 1

;-| 方向とボタンで出す技 |---------------------------------------------------------
[Command]
name = "ローキック"
command = /$F,a
time = 1

[Command]
name = "スライディング"
command = /$DF,a
time = 1

[Command]
name = "夏の思ひで"
command = /$D,b
time = 1


[Command]
name = "氷柱割り"
command = /$F,x
time = 1

[Command]
name = "下段受け"
command = /$DF,a
time = 1

[Command]
name = "上段受け"
command = /$F,a
time = 1

[Command]
name = "避け攻撃"
command = /$B,x
time = 1

[Command]
name = "ダッキング攻撃"
command = /$B,a
time = 1

[Command]
name = "大回転蹴り"
command = /$F,x
time = 1

[Command]
name = "棒高跳び蹴り"
command = /$F,a
time = 1


[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| ボタン設定（いじらない）|---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| 押しっぱなし設定（いじらない）-------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup" 
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1


; 下の記述↓は絶対に消さないでください。
[Statedef -1]
;・変数使用
;　1 = キャラクターのモード変更
;　2 = 勝利ポーズ変更
;　3 = クイックMAX判定
;　4 = スロー処理
;　5 = 強弱ボタン判定
;　6 = 通常攻撃ボイス、乱数指定
;　7 = 火闌降コマンド受付判定
;　8 = MAX発動判定
;　9 = MAX発動時のパワーセット(仮)
; 10 = プレイヤーの向き設定
; 11 = MAX発動コマンド判定
; 12 = KOサウンド
; 13 = 火闌降連続ダメージ規制
; 14 = 混ヒットカウント関係
; 15 = ハイジャンプ
; 16 = 小ジャンプ
; 17 = ダメージ補正に使用
; 18 = オロチ火柱回数
; 19 = 背景のフェードイン、フェードアウト
; 20 = MAX超ヒット判定
;
; 30 = AI判定(にしたいな…)

[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = C,HT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
[State proj];fall.damage用
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[150,210)
projID = gametime
projanim = 166
projhits = 1
projremovetime = 1
supermovetime = 999000
pausemovetime = 999000
attr = SCA,AT
postype = p1
offset=0,-9999
hitflag = MAFPD
givepower = 0,0
getpower = 0,0
pausetime = 0,0
persistent = 0
sparkno = -1
guard.sparkno = -1
ignorehitpause = 1
hitonce=0
projpriority = 99999
fall.damage=9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999


[State 240, 2]
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[210,490]
trigger1 = gametime%4=[0,1]
projanim = 166
projhits = 999
projremovetime = 100
attr = SCA, AA,AT,AP
animtype  = hard
damage=3000000,3000000
guardflag = 
hitflag = MAFD
postype = p1
offset=0,-9999
pausetime = 0,0
guard.pausetime = 0,0
sparkno = -1;S502
guard.sparkno = -1;S506
sparkxy = 0,0
hitsound   = -1,0;s225,1
guardsound = -1,0;s120,0
ground.type = high
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = 0,0
air.velocity = 0,0
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0,0
givepower = 0,0
guard.hittime = 15
guard.ctrltime = 8
air.animtype = Up
hitonce = 0
fall.damage=-99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
p2stateno = 5110
p2getp1state = 0

[State 240, 2]
type = Projectile
triggerall = !ishelper
trigger1 = helper(9999),stateno=3102
trigger1 = helper(9999),time=[210,490]
trigger1 = gametime%4=[2,3]
projanim = 166
projhits = 999
projremovetime = 100
attr = SCA, AA,AT,AP
animtype  = hard
damage=3000000,3000000
guardflag = 
hitflag = MAFD
postype = p1
offset=0,-9999
pausetime = 0,0
guard.pausetime = 0,0
sparkno = -1;S502
guard.sparkno = -1;S506
sparkxy = 0,0
hitsound   = -1,0;s225,1
guardsound = -1,0;s120,0
ground.type = high
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = 0,0
air.velocity = 0,0
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0,0
givepower = 0,0
guard.hittime = 15
guard.ctrltime = 8
air.animtype = Up
hitonce = 0
fall.damage=99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
p2stateno = 5110
p2getp1state = 0


;AI用スイッチ
[State -1, AIflg]
type = VarSet
triggerall = var(59) != 1
trigger1 = command = "CPU_01"
trigger2 = command = "CPU_02"
trigger3 = command = "CPU_03"
trigger4 = command = "CPU_04"
trigger5 = command = "CPU_05"
trigger6 = command = "CPU_06"
trigger7 = command = "CPU_07"
trigger8 = command = "CPU_08"
trigger9 = command = "CPU_09"
trigger10= command = "CPU_10"
trigger11= command = "CPU_11"
trigger12= command = "CPU_12"
trigger13= command = "CPU_13"
trigger14= command = "CPU_14"
trigger15= command = "CPU_15"
trigger16= command = "CPU_16"
trigger17= command = "CPU_17"
trigger18= command = "CPU_18"
trigger19= command = "CPU_19"
trigger20= command = "CPU_20"
trigger21= command = "CPU_21"
trigger22= command = "CPU_22"
trigger23= command = "CPU_23"
trigger24= command = "CPU_24"
trigger25= command = "CPU_25"
trigger26= command = "CPU_26"
trigger27= command = "CPU_27"
trigger28= command = "CPU_28"
trigger29= command = "CPU_29"
trigger30= command = "CPU_30"
trigger31= command = "CPU_31"
trigger32= command = "CPU_32"
trigger33= command = "CPU_33"
trigger34= command = "CPU_34"
trigger35= command = "CPU_35"
trigger36= command = "CPU_36"
trigger37= command = "CPU_37"
trigger38= command = "CPU_38"
trigger39= command = "CPU_39"
trigger40= command = "CPU_40"
trigger41= command = "CPU_41"
trigger42= command = "CPU_42"
trigger43= command = "CPU_43"
trigger44= command = "CPU_44"
trigger45= command = "CPU_45"
trigger46= command = "CPU_46"
trigger47= command = "CPU_47"
trigger48= command = "CPU_48"
trigger49= command = "CPU_49"
trigger50= command = "CPU_50"
trigger51= !ishelper
trigger51= sysvar(4)
trigger52= ishelper(9999)
trigger52= root,var(59)
v =  59
value = 3;☆
;         ワープ頻度　1…低　2…中　3…高

[State -3, 5];
type = poweradd
triggerall = !ishelper
Triggerall = palno >= 7
trigger1= roundstate=2
ignorehitpause = 1
value = 6

[State -3, 5];
type = poweradd
triggerall = !ishelper
Triggerall = palno >= 7
trigger1= roundstate=2
trigger1= gametime%2400=[0,1199]
ignorehitpause = 1
value = powermax

[State 2, 2]
type = changestate
triggerall = ishelper(9999)
trigger1 = GethitVar(hitcount)<10
trigger1 = var(23):=0
trigger1 = 0
trigger2 = var(23)!=1
trigger2 = GethitVar(hitcount)>=10
trigger2 = var(23):=1
value = 4000

;===========================================================================
;AI動作
;---------------------------------------------------------------------------

;===========================================================================
;基本コマンド
;---------------------------------------------------------------------------

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3300; + (root,palno=[10,12])
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "大神"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;？？？？？？？・吸い寄せ
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3100 + (root,palno=[10,12])
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "吸い寄せ"
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;混
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "混"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3200
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "オロチMAX"
triggerall = power >= 1000
triggerall = !numhelper(3200)
trigger1 = statetype != A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;・・・
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1800
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "ワープ"
trigger1 = ctrl

;---------------------------------------------------------------------------
;強解除
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1001
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "強解除"
triggerall = numhelper(1000)+numhelper(1001) = 0||root,palno=[7,12]
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;弱解除
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "弱解除"
triggerall = numhelper(1000)+numhelper(1001) = 0||root,palno=[7,12]
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1100
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "火闌降0"||command = "火闌降1"
triggerall = statetype != A
trigger1 = ctrl

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1101
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "火闌降2"||command = "火闌降3"
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, Stand Light Punch]
type = ChangeState
value = 1200
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "カウンター"
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;門客人
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = 0;封印中
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "投げ"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 700 && animelem = 3,>=0
;---------------------------------------------------------------------------
;ふっ飛ばし攻撃
[State -1, Stand Light Punch]
type = ChangeState
value = 290
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "ふっ飛ばし"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 700 && animelem = 3,>=0
;---------------------------------------------------------------------------
;空中ふっ飛ばし攻撃
[State -1, Stand Light Punch]
type = ChangeState
value = 690
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "ふっ飛ばし"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;ガードキャンセルふっ飛ばし攻撃
[State -1, 290]
type = ChangeState
value = 291
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "ふっ飛ばし"
triggerall = power >= 500
trigger1 = stateno = 150
trigger2 = stateno = 151



;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;ガードキャンセルフロントステップ
[State -1, 700]
type = ChangeState
value = 100
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "FF"
triggerall = power >= 500
trigger1 = stateno = 150
trigger2 = stateno = 151
;---------------------------------------------------------------------------
;タクティカルステップ
[State -1, Taunt]
type = ChangeState
value = 700
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "緊急回避前"
triggerall = power >= 500
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
;ガードキャンセルタクティカルステップ
[State -1, 700]
type = ChangeState
value = 700
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "緊急回避前"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151
;---------------------------------------------------------------------------
;ACタクティカルステップ
[State -1, 700]
type = ChangeState
value = 700
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "緊急回避前"
triggerall = power >= 1000
trigger1 = stateno = [200,249]
;---------------------------------------------------------------------------
;ダウン回避
[State -1, Taunt]
type = ChangeState
value = 702
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "緊急回避前"
trigger1 = stateno = 5050
trigger1 = pos y >=-40
;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
[State -1, Taunt]
type = varset
triggerall = var(59) = 0
trigger1 = Helper(9999),command = "緊急回避前"||Helper(9999),command = "緊急回避後"
trigger2 = Helper(9999),command = "ふっ飛ばし"||Helper(9999),command = "投げ"
trigger3 = Helper(9999),command = "ワープ"||Helper(9999),command = "カウンター"
var(40)=-1

[State 100];ヘルパーを作成
type = Helper
triggerall = var(59) = 0
triggerall = !IsHelper;IsHelper(9999)
triggerall = sysvar(4)=1
triggerall = (Helper(9999),stateno=[1,20])||(Helper(9999),stateno=[50,51])||(Helper(9999),stateno=[100,119])||(Helper(9999),animelemtime(2)>=0&&Helper(9999),stateno=1805)
triggerall = (numhelper(6001)+numhelper(6002)+numhelper(6003)+numhelper(6004)+numhelper(6005)+numhelper(6006))<5
triggerall = Helper(9999),statetype!=A
triggerall = var(40)!=-1
trigger1 = Helper(9999),command = "x"
trigger1 = var(40):=1
trigger2 = Helper(9999),command = "y"
trigger2 = var(40):=2
trigger3 = Helper(9999),command = "z"
trigger3 = var(40):=3
trigger4 = Helper(9999),command = "a"
trigger4 = var(40):=4
trigger5 = Helper(9999),command = "b"
trigger5 = var(40):=5
trigger6 = Helper(9999),command = "c"
trigger6 = var(40):=6
name = "maboroshi"
id = 6000+var(40)
pos = 0,0
postype = p1
stateno = 6000+(Helper(9999),command="holddown")*11
Helpertype = player
keyctrl = 0
ownpal = 0
size.ground.back = 0
size.ground.front = 0
size.air.back = 0
size.air.front = 0
size.height = 0
ignorehitpause=1
pausemovetime=2147483647
supermovetime=2147483647

[State 100];ヘルパーを作成
type = Helper
triggerall = var(59) = 0
triggerall = !IsHelper;IsHelper(9999)
triggerall = sysvar(4)=1
triggerall = (Helper(9999),stateno=[1,20])||(Helper(9999),stateno=[50,51])||(Helper(9999),stateno=[100,119])||(Helper(9999),animelemtime(2)>=0&&Helper(9999),stateno=1805)
triggerall = (numhelper(6001)+numhelper(6002)+numhelper(6003)+numhelper(6004)+numhelper(6005)+numhelper(6006))<5
triggerall = Helper(9999),statetype=A
triggerall = var(40)!=-1
trigger1 = Helper(9999),command = "x"
trigger1 = var(40):=1
trigger2 = Helper(9999),command = "y"
trigger2 = var(40):=2
trigger3 = Helper(9999),command = "z"
trigger3 = var(40):=3
trigger4 = Helper(9999),command = "a"
trigger4 = var(40):=4
trigger5 = Helper(9999),command = "b"
trigger5 = var(40):=5
trigger6 = Helper(9999),command = "c"
trigger6 = var(40):=6
name = "maboroshi"
id = 6000+var(40)
pos = 0,0
postype = p1
stateno = 6055
Helpertype = player
keyctrl = 0
ownpal = 0
size.ground.back = 0
size.ground.front = 0
size.air.back = 0
size.air.front = 0
size.height = 0
ignorehitpause=1
pausemovetime=2147483647
supermovetime=2147483647

[State -1,]
type = null
triggerall = var(59) = 0
trigger1 = var(40):=0

;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) = 0
triggerall = ishelper(9999)
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(59) = 0
triggerall = ishelper(9999)
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl


;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59) = 0
triggerall = ishelper(9999)
triggerall = command = "start"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 700 && animelem = 3,>=0



;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

[State -1,]
type = null
triggerall = var(59)
triggerall = !IsHelper
triggerall = Helper(9999),statetype!=A
Triggerall = facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) = [0,40]
Trigger1 = random%2
Trigger1 = var(40):=1
Trigger2 = var(40):=4

[State -1,]
type = null
triggerall = var(59)
triggerall = !IsHelper
triggerall = Helper(9999),statetype!=A
Triggerall = facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) = (40,150]
Trigger1 = random%2
Trigger1 = var(40):=2
Trigger2 = var(40):=5

[State -1,]
type = null
triggerall = var(59)
triggerall = !IsHelper
triggerall = Helper(9999),statetype!=A
Triggerall = facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) > 150
Trigger1 = random%2
Trigger1 = var(40):=3
Trigger2 = var(40):=6

[State -1,]
type = null
triggerall = var(59)
triggerall = !IsHelper
triggerall = Helper(9999),statetype=A
triggerall = enemy(var(21)),pos y < 0
Trigger1 = random%2
Trigger1 = var(40):=random%2+1
Trigger2 = var(40):=random%2+4

[State -1,]
type = null
triggerall = var(59)
triggerall = !IsHelper
triggerall = Helper(9999),statetype=A
triggerall = enemy(var(21)),pos y <= 0
Trigger1 = random%2
Trigger1 = var(40):=3
Trigger2 = var(40):=6

[State 100];ヘルパーを作成
type = Helper
triggerall = var(59)
triggerall = sysvar(4)=1
triggerall = roundstate=2
triggerall = !IsHelper;IsHelper(9999)
triggerall = (Helper(9999),stateno=[1,20])||(Helper(9999),stateno=[50,51])||(Helper(9999),stateno=[100,119])||(Helper(9999),animelemtime(2)>=0&&Helper(9999),stateno=1805)
triggerall = (numhelper(6001)+numhelper(6002)+numhelper(6003)+numhelper(6004)+numhelper(6005)+numhelper(6006))<5
triggerall = Helper(9999),statetype!=A
trigger1 = random%10=0||(random%2=0&&(var(40)=1||var(40)=4))
name = "maboroshi"
id = 6000+var(40)
pos = 0,0
postype = p1
stateno = 6000+(random%2)*11
Helpertype = player
keyctrl = 0
ownpal = 0
size.ground.back = 0
size.ground.front = 0
size.air.back = 0
size.air.front = 0
size.height = 0
ignorehitpause=1
pausemovetime=2147483647
supermovetime=2147483647

[State 100];ヘルパーを作成
type = Helper
triggerall = var(59)
triggerall = sysvar(4)=1
triggerall = roundstate=2
triggerall = !IsHelper;IsHelper(9999)
triggerall = (Helper(9999),stateno=[1,20])||(Helper(9999),stateno=[50,51])||(Helper(9999),stateno=[100,119])||(Helper(9999),animelemtime(2)>=0&&Helper(9999),stateno=1805)
triggerall = (numhelper(6001)+numhelper(6002)+numhelper(6003)+numhelper(6004)+numhelper(6005)+numhelper(6006))<5
triggerall = Helper(9999),statetype=A
trigger1 = random%10=0||(random%5=0&&(var(40)=1||var(40)=2||var(40)=4||var(40)=5))
name = "maboroshi"
id = 6000+var(40)
pos = 0,0
postype = p1
stateno = 6055
Helpertype = player
keyctrl = 0
ownpal = 0
size.ground.back = 0
size.ground.front = 0
size.air.back = 0
size.air.front = 0
size.height = 0
ignorehitpause=1
pausemovetime=2147483647
supermovetime=2147483647

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3200
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = !numhelper(3200)
trigger1 = ((gametime%2400=[0,1199])&&(root,palno=[7,12]))||(random%30=0&&(!(gametime%2400=[0,1199])||(root,palno!=[7,12])))

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3300 + (root,palno=[10,12])
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = power >= 3000
triggerall = ctrl
trigger1 = (var(24)!=3&&var(24)!=2)||!((gametime%2400=[0,1199])&&(root,palno=[7,12]))
trigger1 = (random%22=0&&(gametime%2400=[0,1199])&&(root,palno=[7,12]))||(random%60=0&&(!(gametime%2400=[0,1199])||(root,palno!=[7,12])))
trigger1 = var(24):=3
trigger2 = (enemy(var(21)),name="Fake"&&root,palno=[10,12])||(enemy(var(21)),name="Sand Backn"&&root,palno=[7,12])

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3100 + (root,palno=[10,12])
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = enemy(var(21)),name!="Fake"||root,palno!=[10,12]
triggerall = enemy(var(21)),name!="Sand Backn"||root,palno!=[7,12]
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = power >= 2000
triggerall = ctrl
trigger1 = (var(24)!=1&&var(24)!=3)||!((gametime%2400=[0,1199])&&(root,palno=[7,12]))
trigger1 = (random%20=0&&(gametime%2400=[0,1199])&&(root,palno=[7,12]))||(random%60=0&&(!(gametime%2400=[0,1199])||(root,palno!=[7,12])))
trigger1 = var(24):=1

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = enemy(var(21)),name!="Fake"||root,palno!=[10,12]
triggerall = enemy(var(21)),name!="Sand Backn"||root,palno!=[7,12]
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = power >= 1000
triggerall = ctrl
trigger1 = (var(24)!=2&&var(24)!=1)||!((gametime%2400=[0,1199])&&(root,palno=[7,12]))
trigger1 = (random%18=0&&(gametime%2400=[0,1199])&&(root,palno=[7,12]))||(random%60=0&&(!(gametime%2400=[0,1199])||(root,palno!=[7,12])))
trigger1 = var(24):=2

[State -3,]
type = ChangeState
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = Enemy(var(21)),ID=EnemyNear(0),ID
triggerall = EnemyNear(0),StateType != L
Triggerall = !inguarddist
triggerall = facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) = [0,70]
triggerall = enemy(var(21)),pos y = [-100,0]
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
TriggerAll = EnemyNear(0),AnimTime <= -10
triggerAll = EnemyNear(0),MoveType = A
triggerAll = EnemyNear(0),hitdefattr=SCA,NA,SA||root,palno>=7
triggerAll = EnemyNear(0),hitdefattr=SCA,AA,AP,AT
trigger1 = random%10=0
value = 1200

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1800
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])
triggerall = ctrl
trigger1 = random%100=0
trigger2 = inguarddist
trigger2 = random%10=0||var(59)>=3
trigger3 = var(59)>=2
trigger3 = p2movetype=A
trigger4 = var(59)>=3
trigger4 = enemy(var(21)),movetype=A
trigger5 = var(59)>=3
trigger5 = enemy(var(21)),numproj!=0

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1100 + ((facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) > 160)&&p2movetype!=H)
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random%20=0

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1000 + ((facing*(enemy(var(21)),screenpos x) - facing*(screenpos x) > 160)*random%2)
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||(stateno=[50,51])||(stateno=[100,119])||(animelemtime(2)>=0&&stateno=1805)
triggerall = numhelper(1000)+numhelper(1001) = 0||root,palno=[7,12]
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random%20=0

[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 40
triggerall = var(59)
triggerall = ishelper(9999)
triggerall = roundstate=2
triggerall = (stateno=[1,20])||stateno=100
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = enemy(var(21)),pos y < 0
trigger1 = random%100=0
